/*
 * Copyright (c) kentooz
 * Kentooz Theme Custom Javascript
 */
 
var $ = jQuery.noConflict();

(function( $ ) {
	/* http://www.w3schools.com/js/js_strict.asp */
	"use strict";
	
$( document ).ready( function () {
	
	// JS TOOLTIPS
	$('ul.icon24px a').tooltip()
	$('a[rel=tooltip]').tooltip()
	// JS TABS	
	$('#ktztab a:first').tab('show')
	$('#ktzsbtab a:first').tab('show')

	// JS SCROLL TOP	
    $(window).scroll(function(){
       if ($(this).scrollTop() > 100) {
			$('#back-top').fadeIn();
       } else {
			$('#back-top').fadeOut();
       }
    });
    $('#back-top').click(function(){
        $("html, body").animate({ scrollTop: 0 }, 600);
		return false;
		});

	// Simple add marquee to top effect		
	function tick(){
		$('#listmodule-ticker li:first').animate({'opacity':0}, 200, function () { $(this).appendTo($('#listmodule-ticker')).css('opacity', 1); });
	}
	setInterval(function(){ tick () }, 4000);
	function toptick(){
		$('#top-ticker li:first').animate({'opacity':0}, 200, function () { $(this).appendTo($('#top-ticker')).css('opacity', 1); });
	}
	setInterval(function(){ toptick () }, 4000);
	
	// JS SELECT NAV FOR SMALL SCREEN
	selectnav('topmenu', {
		label: '-- SELECT MENU --',
		nested: true,
		indent: '-'
	});
	// NEWS JQUERY CAROUSEL
	$("#newscarausel").carouFredSel({
		width	: "100%",
		scroll	: 1,
		auto	: true,
		prev: '#prev-1',
		next: '#next-1'
	});

	// NIVO SLIDER
    $(window).load(function() {
		$("#slider").nivoSlider({
			effect:"fade",
			startSlide:0,
			directionNav:false,
			controlNav:true,
			controlNavThumbs:false,
			pauseOnHover:true,
			manualAdvance:false
		});
	});

}); // End document Ready
})(jQuery);